Subject: bug#59223: closed (Re: [bug#59223] [PATCH] services: gitolite: Use the correct variable for the user-group)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Nov 2022 12:13:03 +0000

Your bug report

#59223: [PATCH] services: gitolite: Use the correct variable for the user-group

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59223: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59223
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#59223] [PATCH] services: gitolite: Use the correct variable for the user-group
From: Christopher Baines <[email-masked]>
To: EuAndreh <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 17 Nov 2022 12:11:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

EuAndreh via Guix-patches via <[email-masked]> writes:

> The default value for <gitolite-configuration> has "git" for both the
> values of the user and the group, as costumary, which means that unless
> someone uses a custom configuration and chooses different strings for
> user and group, this wouldn't show up.
>
> * gnu/services/version-control.scm (gitolite-accounts): Use the correct
>   variable for the name of a (user-group ...).
> ---
>
> I did a "git grep user-group gnu/services/" and looked at the returned
> entries.  After a quick cursory look, either all the entries had a
> hard-coded string value, or picked the correct variable for the group
> name.  So I think this one is a one-off :)
>
> This surfaced after a debugging session with mirai on IRC earlier today.
>
>  gnu/services/version-control.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/gnu/services/version-control.scm b/gnu/services/version-control.scm
> index b6b78e504e..86d40bdbe3 100644
> --- a/gnu/services/version-control.scm
> +++ b/gnu/services/version-control.scm
> @@ -313,7 +313,7 @@ (define gitolite-accounts
>      (($ <gitolite-configuration> package user group home-directory
>                                   rc-file admin-pubkey)
>       ;; User group and account to run Gitolite.
> -     (list (user-group (name user) (system? #t))
> +     (list (user-group (name group) (system? #t))
>             (user-account
>              (name user)
>              (group group)

Good spot! I've pushed this to master as
35ef5fca0ac997680e47942e25f403fb3ec54c7d.

Chris

Subject: [PATCH] services: gitolite: Use the correct variable for the user-group
From: EuAndreh <[email-masked]>
To: [email-masked]
Cc: EuAndreh <[email-masked]>
Date: Sat, 12 Nov 2022 15:53:21 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

The default value for <gitolite-configuration> has "git" for both the
values of the user and the group, as costumary, which means that unless
someone uses a custom configuration and chooses different strings for
user and group, this wouldn't show up.

* gnu/services/version-control.scm (gitolite-accounts): Use the correct
  variable for the name of a (user-group ...).
---

I did a "git grep user-group gnu/services/" and looked at the returned
entries.  After a quick cursory look, either all the entries had a
hard-coded string value, or picked the correct variable for the group
name.  So I think this one is a one-off :)

This surfaced after a debugging session with mirai on IRC earlier today.

 gnu/services/version-control.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/services/version-control.scm b/gnu/services/version-control.scm
index b6b78e504e..86d40bdbe3 100644
--- a/gnu/services/version-control.scm
+++ b/gnu/services/version-control.scm
@@ -313,7 +313,7 @@ (define gitolite-accounts
     (($ <gitolite-configuration> package user group home-directory
                                  rc-file admin-pubkey)
      ;; User group and account to run Gitolite.
-     (list (user-group (name user) (system? #t))
+     (list (user-group (name group) (system? #t))
            (user-account
             (name user)
             (group group)
-- 
2.38.1